module de.fhdw.gaming.ipspiel23.ht {
	exports de.fhdw.gaming.ipspiel23.ht.domain;
    exports de.fhdw.gaming.ipspiel23.ht.strategy;
    exports de.fhdw.gaming.ipspiel23.ht.moves;
    exports de.fhdw.gaming.ipspiel23.ht.moves.factory;
	
    requires transitive de.fhdw.gaming.core;
    
    uses de.fhdw.gaming.ipspiel23.ht.strategy.IHTStrategyFactory;

    provides de.fhdw.gaming.ipspiel23.ht.strategy.IHTStrategyFactory
            with de.fhdw.gaming.ipspiel23.ht.strategy.impl.heads.HTHeadsStrategyFactory,
            de.fhdw.gaming.ipspiel23.ht.strategy.impl.tails.HTTailsStrategyFactory,
            de.fhdw.gaming.ipspiel23.ht.strategy.impl.edge.HTEdgeStrategyFactory,
            de.fhdw.gaming.ipspiel23.ht.strategy.impl.mixed.HTMixedStrategyFactory;

    provides de.fhdw.gaming.core.domain.GameBuilderFactory
            with de.fhdw.gaming.ipspiel23.ht.domain.impl.HTGameBuilderFactory;

    opens de.fhdw.gaming.ipspiel23.ht.domain;
    opens de.fhdw.gaming.ipspiel23.ht.domain.impl;
    opens de.fhdw.gaming.ipspiel23.ht.moves;
    opens de.fhdw.gaming.ipspiel23.ht.moves.impl;
    opens de.fhdw.gaming.ipspiel23.ht.strategy;
    opens de.fhdw.gaming.ipspiel23.ht.strategy.impl;
}
