package de.fhdw.gaming.ipspiel23.ht.moves.impl;

import de.fhdw.gaming.core.domain.GameException;
import de.fhdw.gaming.ipspiel23.ht.domain.Answer;
import de.fhdw.gaming.ipspiel23.ht.domain.IHTPlayer;
import de.fhdw.gaming.ipspiel23.ht.domain.IHTState;
import de.fhdw.gaming.ipspiel23.ht.moves.HTBaseMove;

/**
 * Represents a "TAILS" move in a game of Heads or Tails.
 */
public class HTTailsMove extends HTBaseMove {

    @Override
    public void applyTo(final IHTState state, final IHTPlayer player) throws GameException {
        player.setAnswer(Answer.TAILS);
    }

    @Override
    public String toString() {
        return "Playing tails";
    }
}
