package de.fhdw.gaming.ipspiel23.ht.strategy.impl.tails;

import de.fhdw.gaming.ipspiel23.ht.moves.factory.IHTMoveFactory;
import de.fhdw.gaming.ipspiel23.ht.strategy.IHTStrategy;
import de.fhdw.gaming.ipspiel23.ht.strategy.IHTStrategyFactory;

/**
 * Implements {@link IHTStrategyFactory} by creating a {@link HTTailsStrategy}. 
 */
public class HTTailsStrategyFactory implements IHTStrategyFactory {

    @Override
    public IHTStrategy create(final IHTMoveFactory moveFactory) {
        return new HTTailsStrategy(moveFactory);
    }
}
